<?php $masonry_post_grid_options = get_option( 'masonry_post_grid_option_name' ); 
$masonry_grid_4_category_id_or_category_ids_separated_by_commas_5 = $masonry_post_grid_options['masonry_grid_4_category_id_or_category_ids_separated_by_commas_5']; ?>
<div class="twd-masonry-post-grid">
<?php
$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
$args = array(
'cat' =>  $masonry_grid_4_category_id_or_category_ids_separated_by_commas_5,
'posts_per_page' => 12,
'paged'=>$paged
);
$query = new WP_Query($args); ?>
<?php if ( $query->have_posts() ) : while ( $query->have_posts() ) : $query->the_post(); ?>
<div class="twd-masonry-post-grid-item" onclick="window.location='<?php the_permalink() ?>';">
<img class="twd-masonry-post-grid-item-img" src="<?php if ( has_post_thumbnail() ) {the_post_thumbnail_url();} else { ?><?php bloginfo('template_directory'); ?>/images/favicon.png<?php } ?>" alt="<?php the_title();?>" />
<span class="twd-masonry-post-grid-item-date"><?php the_time('d.m.Y.'); ?></span>
<span class="twd-masonry-post-grid-item-category"><?php $category = get_the_category(); echo $category[0]->cat_name;?></span>
<h2><a href="<?php the_permalink() ?>" title="<?php the_title();?>"><?php the_title();?></a></h2>
<?php the_excerpt('') ?>
</div>


<?php endwhile; ?>

<div class="clear"></div> 

<?php
$GLOBALS['wp_query']->max_num_pages = $query->max_num_pages;
the_posts_pagination( array(
        'prev_text' => __( '<', 'textdomain' ),
        'next_text' => __( '>', 'textdomain' ),
) ); ?>

<?php else : ?>
<?php endif; ?>


</div>